

/***************************************************************************
 ratshooter: a simple shooter!
 Version: 0.1
 Written in Qt 4.3 

    copyright            : (C) by Dimitris B. Kalamaras
    email                : dimitris.kalamaras@gmail.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef MOUSE_H
#define MOUSE_H

#include <QGraphicsItem>
#include <QObject>

class QGraphicsSceneMouseEvent;

class Mouse : public QObject, public QGraphicsItem {
  Q_OBJECT
public:
  Mouse();
  QRectF boundingRect() const;
  void paint(QPainter *painter, const QStyleOptionGraphicsItem *option, QWidget *widget);
signals:
  void destroyed();
protected:
  void timerEvent(QTimerEvent *event);
  void mousePressEvent(QGraphicsSceneMouseEvent *event);
private:
  qreal angle;
  qreal speed;
};

#endif
