
/***************************************************************************
 ratshooter: a simple shooter!
 Version: 0.1
 Written in Qt 4.3 

    copyright            : (C) by Dimitris B. Kalamaras
    email                : dimitris.kalamaras@gmail.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "window.h"

Window::Window() {
  startBt= new QPushButton("Start");	
  exitBt=new QPushButton("Exit");	
  myCanvas=new Canvas();
  QVBoxLayout *layout = new QVBoxLayout;
  layout->addWidget(startBt);
  layout->addWidget(exitBt);
  layout->addWidget(myCanvas);
  setLayout(layout);
  connect (exitBt,SIGNAL(clicked()), qApp, SLOT(quit()));
  connect (startBt,SIGNAL(clicked()), myCanvas, SLOT(runMiceRun()));
  setWindowTitle(tr("RatShooter"));
}
